VegBank - Bug #824

Make website deal with user tables in vegbank, not framework
11/13/2002 01:56 PM - Michael Lee

Status: Resolved Start date: 11/13/2002
Priority: Immediate Due date:

Assignee: P. Anderson % Done: 0%
Category: misc Estimated time: 0.00 hour
Target version: 1.1.0 Spent time: 0.00 hour
Bugzilla-ld: 824

Description

Ok for now. Need autofill in the certification form.

Related issues:

Is duplicate of VegBank - Bug #825: [1033] Management accounts?? Closed 11/13/2002
Is duplicate of VegBank - Bug #836: database redesign for Intellectual Proper... Resolved 11/13/2002
Blocks VegBank - Bug #1219: VegBank 1.0.2 model - implemented Resolved 11/21/2003
History

#1 - 01/08/2003 09:32 PM - John Harris
This was done fall 2002.

#2 - 01/09/2003 09:16 AM - John Harris

*kk

¢ Bug 825 has been marked as a duplicate of this bug.

#3 - 01/14/2003 04:47 PM - Michael Lee

Need to make sure that certification documents are emailed to the appropriate
parties when someone requests certification. This list of parties probably

should be an XML doc somewhere so that we could change easily who will get the
emails.

additionally, all fields that are public in the certification form need to be
editable from the "edit profile" page :
framework/servlet/usermanagement?action=changeusersettings

#4 - 10/02/2003 12:08 PM - Michael Lee

profile database (framework) does not need revision for the Nov1 milestone.
Certification just needs to work. AFter ceritifcation fucntionality works, put
this bug in the 2.0 bucket.

#5 - 11/07/2003 02:37 PM - P. Anderson

If a user is not logged in, fills out entire form, submits, message says, "log
in" and the form data is lost. Bad news for user.

Also, "What do the levels mean?" link is broken.

Also, since only logged in users can apply for cert, we don't need the email
address to be entered, or at least we can auto populate it.

#6 - 11/08/2003 11:46 AM - Michael Lee

Mark, your comments above | agree with. The "what do these levels mean" link is
perhaps being screwed up my renegade javascripts elsewhere in the page, ie
footer and header. This wasn't a good idea on my part and | will be removing
them. We can find another way of linking someone to context sensitive help.

#7 - 11/11/2003 12:11 PM - Michael Lee

*kk

e Bug 836 has been marked as a duplicate of this bug.
#8 - 11/11/2003 12:13 PM - Michael Lee

Mark, I'll take this bug for now, with focus on model change implications.
Sounds like the certification email is working better now- just need to get the
from: address sorted out.

#9 - 11/11/2003 12:15 PM - Michael Lee

more info, akin to data-dictionary on its way

#11 - 11/12/2003 10:30 AM - Gabriel Farrell
| see no problems with the ERD id=89 particularily in relation to user,
certification, userPermissions and embargo, userDataset and datasetObs tables.

Supporting the userQuery, recordOwnership, partyMember and userNotify are over
my horizon for now but the model looks good.

| am concerned about the SQL queries stored in the userNotity and userQuery as
there may be a more abstract way to do this that would be more robust to model
and system changes, what that way might be is unclear to me so its a moot point
for now.

Also we currently have no way to persist user preferences we may want to add
another table(s) later to support this. This can be ignored for now in the
interest of finalizing this good work and getting it in place.

#12 - 11/21/2003 09:10 PM - Michael Lee

Once again changing the nature and summary of this bug. Here is the task of
making the website work with the correct, new tables inside vegbank, not in
framework. Certification, authentication, log-in, etc. all need to now read
through the new tables, which are presumably populated and happy in vegbank.

#13 - 02/29/2004 06:09 PM - P. Anderson

New user system works great now!

#14 - 01/31/2005 02:53 PM - Michael Lee

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#15 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 824
